Bug 23416 - When a note to a specific issue upon receiving a serial, this note will appear in next issue received
Summary: When a note to a specific issue upon receiving a serial, this note will appea...
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on: 11492
Blocks:
  Show dependency treegraph
 
Reported: 2019-08-02 11:09 UTC by Kelly McElligott
Modified: 2019-08-29 08:29 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.04


Attachments
serials receive (136.16 KB, image/png)
2019-08-02 11:09 UTC, Kelly McElligott
Details
Bug 23416: Add PreserveSerialNotes system preference (6.89 KB, patch)
2019-08-02 13:27 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 23416: Add PreserveSerialNotes system preference (6.91 KB, patch)
2019-08-02 17:43 UTC, Nadine Pierre
Details | Diff | Splinter Review
Bug 23416: Add PreserveSerialNotes system preference (6.97 KB, patch)
2019-08-02 17:53 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 23416: Add PreserveSerialNotes system preference (7.06 KB, patch)
2019-08-08 17:02 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23416: (QA follow-up) Add IGNORE to updatedatabase SQL statement (1.20 KB, patch)
2019-08-08 17:02 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kelly McElligott 2019-08-02 11:09:22 UTC
Created attachment 91920 [details]
serials receive

A note added to a serial issue upon receipt in the Serials module will stay on each upcoming issue expected and needs to be removed when receiving the next.  Libraries use this note to say something specific about the issue they are receiving, not a note that should appear on every issue they receive. 

Steps to reproduce:
1. Receive an issue in the Serials Module.
2. Add a note to this issue and change to Arrived.
3.  See the next expected issue will show this same note from previously received issue.
4. Receive next issue, this note is still getting generated.
Comment 1 Katrin Fischer 2019-08-02 11:17:58 UTC
Wondering if this could be related to the notes work on bug 11492?
Comment 2 Nick Clemens 2019-08-02 13:27:02 UTC
Created attachment 91929 [details] [review]
Bug 23416: Add PreserveSerialNotes system preference

Bug 11492 intended to pass routinglists forward. It also passed forward serial notes.
This may or not me desired behvaiour, to avoid changing functionality twice I add a syspref
to control this behaviour.

To test:
 1 - Have or create a subscription in the serials module
 2 - Recieve an issue, making sure ot ad a note
 3 - Go to receive again, note the note from the last serial is set for the expected issue
 4 - Apply patch
 5 - Update database, restart all the things
 6 - Receive the issue leaving the note in place
 7 - Note the next expected issue has the note
 8 - Find the syspref PreserveSerialNotes
 9 - Confirm it defaulted to Do
10 - Set it to 'Do not'
11 - Receive the expected serial leavign the note
12 - Note the newly generated expected serial has no note
13 - prove -v t/db_dependent/Serials.t
Comment 3 Nadine Pierre 2019-08-02 17:43:29 UTC
Created attachment 91932 [details] [review]
Bug 23416: Add PreserveSerialNotes system preference

Bug 11492 intended to pass routinglists forward. It also passed forward serial notes.
This may or not me desired behvaiour, to avoid changing functionality twice I add a syspref
to control this behaviour.

To test:
 1 - Have or create a subscription in the serials module
 2 - Recieve an issue, making sure ot ad a note
 3 - Go to receive again, note the note from the last serial is set for the expected issue
 4 - Apply patch
 5 - Update database, restart all the things
 6 - Receive the issue leaving the note in place
 7 - Note the next expected issue has the note
 8 - Find the syspref PreserveSerialNotes
 9 - Confirm it defaulted to Do
10 - Set it to 'Do not'
11 - Receive the expected serial leavign the note
12 - Note the newly generated expected serial has no note
13 - prove -v t/db_dependent/Serials.t

Signed-off-by: Nadine Pierre <nadine.pierre@inLibro.com>
Comment 4 Maryse Simard 2019-08-02 17:53:21 UTC
Created attachment 91934 [details] [review]
Bug 23416: Add PreserveSerialNotes system preference

Bug 11492 intended to pass routinglists forward. It also passed forward serial notes.
This may or not me desired behvaiour, to avoid changing functionality twice I add a syspref
to control this behaviour.

To test:
 1 - Have or create a subscription in the serials module
 2 - Recieve an issue, making sure ot ad a note
 3 - Go to receive again, note the note from the last serial is set for the expected issue
 4 - Apply patch
 5 - Update database, restart all the things
 6 - Receive the issue leaving the note in place
 7 - Note the next expected issue has the note
 8 - Find the syspref PreserveSerialNotes
 9 - Confirm it defaulted to Do
10 - Set it to 'Do not'
11 - Receive the expected serial leavign the note
12 - Note the newly generated expected serial has no note
13 - prove -v t/db_dependent/Serials.t

Signed-off-by: Nadine Pierre <nadine.pierre@inLibro.com>
Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Comment 5 Katrin Fischer 2019-08-08 17:02:15 UTC
Created attachment 92098 [details] [review]
Bug 23416: Add PreserveSerialNotes system preference

Bug 11492 intended to pass routinglists forward. It also passed forward serial notes.
This may or not me desired behvaiour, to avoid changing functionality twice I add a syspref
to control this behaviour.

To test:
 1 - Have or create a subscription in the serials module
 2 - Recieve an issue, making sure ot ad a note
 3 - Go to receive again, note the note from the last serial is set for the expected issue
 4 - Apply patch
 5 - Update database, restart all the things
 6 - Receive the issue leaving the note in place
 7 - Note the next expected issue has the note
 8 - Find the syspref PreserveSerialNotes
 9 - Confirm it defaulted to Do
10 - Set it to 'Do not'
11 - Receive the expected serial leavign the note
12 - Note the newly generated expected serial has no note
13 - prove -v t/db_dependent/Serials.t

Signed-off-by: Nadine Pierre <nadine.pierre@inLibro.com>
Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Katrin Fischer 2019-08-08 17:02:18 UTC
Created attachment 92099 [details] [review]
Bug 23416: (QA follow-up) Add IGNORE to updatedatabase SQL statement
Comment 7 Katrin Fischer 2019-08-08 17:03:39 UTC
I am ok with this fix, but I'd suggest to pick 'not prefill' for new installations. My feeling is that this will be the more common setting.
Comment 8 Martin Renvoize 2019-08-12 13:38:15 UTC
Nice work!

Pushed to master for 19.11.00
Comment 9 Fridolin SOMERS 2019-08-29 08:29:49 UTC
Pushed to 19.05.x for 19.05.04